import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listProvider(query) {
  return request({
    url: '/app/provider/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getProvider(providerId) {
  return request({
    url: '/app/provider/' + providerId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addProvider(data) {
  return request({
    url: '/app/provider',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateProvider(data) {
  return request({
    url: '/app/provider',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delProvider(providerId) {
  return request({
    url: '/app/provider/' + providerId,
    method: 'delete'
  })
}
